[arch-commits] Commit in figlet/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 3 02:51:51 EDT 2009


    Date: Friday, April 3, 2009 @ 02:51:51
  Author: eric
Revision: 32961

upgpkg: figlet 2.2.2-2
    Added license, Added arch tag,  FHS man pages, PKGBUILD cleanup

Modified:
  figlet/trunk/PKGBUILD

----------+
 PKGBUILD |   23 +++++++++++++----------
 1 file changed, 13 insertions(+), 10 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-03 06:49:45 UTC (rev 32960)
+++ PKGBUILD	2009-04-03 06:51:51 UTC (rev 32961)
@@ -4,20 +4,23 @@
 
 pkgname=figlet
 pkgver=2.2.2
-pkgrel=1
+pkgrel=2
 pkgdesc="FIGlet is a program for making large letters out of ordinary text"
+arch=('i686' 'x86_64')
+url="http://www.figlet.org/"
+license=('custom:Academic')
 depends=('glibc')
-source=(ftp://ftp.figlet.org/pub/figlet/program/unix/$pkgname`echo $pkgver | sed 's/\.//g'`.tar.gz)
-url="http://www.figlet.org/"
-md5sums=('9fcf4f1651b8e6d3f56f1ef665285b2e')
+source=(ftp://ftp.figlet.org/pub/figlet/program/unix/$pkgname${pkgver//./}.tar.gz)
+md5sums=('5f84ad52d092d5db4ad5916df767646b')
 
 build() {
-  cd $startdir/src/$pkgname`echo $pkgver | sed 's/\.//g'`
+  cd $srcdir/$pkgname${pkgver//./}
   make DEFAULTFONTDIR=/usr/share/figlet/fonts all || return 1
-  mkdir -p $startdir/pkg/usr/{bin,man/man6,share/figlet/fonts}
+  install -d $pkgdir/usr/{bin,share/man/man6,share/figlet/fonts} || return 1
   make install \
-    DESTDIR=$startdir/pkg/usr/bin \
-    MANDIR=$startdir/pkg/usr/man/man6 \
-    DEFAULTFONTDIR=$startdir/pkg/usr/share/figlet/fonts
-  chmod 755 $startdir/pkg/usr/bin/{figlist,showfigfonts}
+    DESTDIR=$pkgdir/usr/bin \
+    MANDIR=$pkgdir/usr/share/man/man6 \
+    DEFAULTFONTDIR=$pkgdir/usr/share/figlet/fonts || return 1
+  install -D -m644 LICENSE $pkgdir/usr/share/licenses/$pkgname/LICENSE || return 1
+  chmod 755 $pkgdir/usr/bin/{figlist,showfigfonts}
 }



More information about the arch-commits mailing list